Bug 1778187 - [abrt] freerdp: .annobin_sigaction.c(): wlfreerdp killed by SIGSEGV
Summary: [abrt] freerdp: .annobin_sigaction.c(): wlfreerdp killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freerdp
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b40945aeab9513bbc526cde2eb9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-29 13:06 UTC by Victor Oprea
Modified: 2020-02-17 01:26 UTC (History)
5 users (show)

Fixed In Version: freerdp-2.0.0-56.20200207git245fc60.fc31 freerdp-2.0.0-56.20200207git245fc60.fc30
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 01:13:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (45.36 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details
File: core_backtrace (19.02 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details
File: cpuinfo (2.35 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details
File: dso_list (3.64 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details
File: environ (5.62 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details
File: maps (25.03 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details
File: mountinfo (4.22 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details
File: open_fds (2.97 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-11-29 13:06 UTC, Victor Oprea
no flags Details

Description Victor Oprea 2019-11-29 13:06:13 UTC
Description of problem:
Ran with /app parameter and after around for 5 seconds of freezing it crashed.

Version-Release number of selected component:
2:freerdp-2.0.0-53.20190820git6015229.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-terminal-server.service
cmdline:        wlfreerdp /v:server-1c.becor.loc /d:becor /u:v.oprea /p:********** /app:||powershell /bpp:16
crash_function: .annobin_sigaction.c
executable:     /usr/bin/wlfreerdp
journald_cursor: s=6516751c31bc471eab5600181269f358;i=b707;b=ee7f2bbf6099467992524aadf252afb3;m=358aeaf70;t=5987bd94107d4;x=d4cb456fe3c2b95f
kernel:         5.3.12-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Victor Oprea 2019-11-29 13:06:17 UTC
Created attachment 1640657 [details]
File: backtrace

Comment 2 Victor Oprea 2019-11-29 13:06:19 UTC
Created attachment 1640658 [details]
File: core_backtrace

Comment 3 Victor Oprea 2019-11-29 13:06:20 UTC
Created attachment 1640659 [details]
File: cpuinfo

Comment 4 Victor Oprea 2019-11-29 13:06:22 UTC
Created attachment 1640660 [details]
File: dso_list

Comment 5 Victor Oprea 2019-11-29 13:06:24 UTC
Created attachment 1640661 [details]
File: environ

Comment 6 Victor Oprea 2019-11-29 13:06:25 UTC
Created attachment 1640662 [details]
File: limits

Comment 7 Victor Oprea 2019-11-29 13:06:27 UTC
Created attachment 1640663 [details]
File: maps

Comment 8 Victor Oprea 2019-11-29 13:06:28 UTC
Created attachment 1640664 [details]
File: mountinfo

Comment 9 Victor Oprea 2019-11-29 13:06:30 UTC
Created attachment 1640665 [details]
File: open_fds

Comment 10 Victor Oprea 2019-11-29 13:06:31 UTC
Created attachment 1640666 [details]
File: proc_pid_status

Comment 11 Fedora Update System 2020-02-08 16:53:45 UTC
FEDORA-2020-2404c9ff3b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 12 Fedora Update System 2020-02-09 01:21:02 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-483cbdf643

Comment 13 Fedora Update System 2020-02-09 01:46:49 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 14 Fedora Update System 2020-02-11 01:13:53 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-02-17 01:26:14 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.